IllegalClassFormatException (Java Platform SE 8 )
Keywords: java.lang.instrument.IllegalClassFormatException class
Date: 2018-07-01

compact3
java.lang.instrument

## Class IllegalClassFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.instrument.IllegalClassFormatException

- All Implemented Interfaces:
    Serializable

      public class IllegalClassFormatException
      extends Exception

  Thrown by an implementation of `ClassFileTransformer.transform` when its input parameters are invalid. This may occur either because the initial class file bytes were invalid or a previously applied transform corrupted the bytes.
  Since:
    1.5
  See Also:
    `ClassFileTransformer.transform(java.lang.ClassLoader, java.lang.String, java.lang.Class<?>, java.security.ProtectionDomain, byte[])`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalClassFormatException()` Constructs an `IllegalClassFormatException` with no detail message.
    `IllegalClassFormatException(String s)` Constructs an `IllegalClassFormatException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalClassFormatException

          public IllegalClassFormatException()

      Constructs an `IllegalClassFormatException` with no detail message.

    - #### IllegalClassFormatException

          public IllegalClassFormatException(String s)

      Constructs an `IllegalClassFormatException` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.